package visitor;

// Implementação da ação que define um laço de repetição faça-enquanto
public class UntilRepetitionAction extends ConditionalAction {

    public UntilRepetitionAction(Action action, BooleanExpression condition) {
        super(action, condition);
    }

    // Implementação da operação que chama o Visitor
    public void accept(ActionVisitor visitor) {
        visitor.visit(this);
    }
}
