package visitor;

// Definição do Visitor do workflow, onde cara operação visit atende a um dos tipos de ação
public interface ActionVisitor {

    public void visit(CommandAction node);
    public void visit(SequenceAction node);
    public void visit(AlternationAction node);
    public void visit(WhileRepetitionAction node);
    public void visit(UntilRepetitionAction node);

}
