package visitor;

// Implementação da ação que define um laço de repetição enquanto-faça
public class WhileRepetitionAction extends ConditionalAction {

    public WhileRepetitionAction(Action action, BooleanExpression condition) {
        super(action, condition);
    }

    // Implementação da operação que chama o Visitor
    public void accept(ActionVisitor visitor) {
        visitor.visit(this);
    }
}
